summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-25 20:07:02 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-25 20:08:29 +0100
commitb9246c89b93a22b9292c95d0a9480ca8523a5f10 (patch)
tree50a9993859ad337d29a855bfd4a4dae35eb62e0a /net-dns
parentmedia-gfx/fontforge: pass HTDOCS_SUBDIR in src_compile too (diff)
downloadgentoo-b9246c89b93a22b9292c95d0a9480ca8523a5f10.tar.gz
gentoo-b9246c89b93a22b9292c95d0a9480ca8523a5f10.tar.bz2
gentoo-b9246c89b93a22b9292c95d0a9480ca8523a5f10.zip
net-dns/nsd: Bump to version 4.1.27
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'net-dns')
-rw-r--r--net-dns/nsd/Manifest1
-rw-r--r--net-dns/nsd/nsd-4.1.27.ebuild116
2 files changed, 117 insertions, 0 deletions
diff --git a/net-dns/nsd/Manifest b/net-dns/nsd/Manifest
index f5a19980ab3..ec30f7232a6 100644
--- a/net-dns/nsd/Manifest
+++ b/net-dns/nsd/Manifest
@@ -1,2 +1,3 @@
DIST nsd-4.1.25.tar.gz 1108285 BLAKE2B 29428e59c0913e9eb6936b577c02b03136ae51e47d58f5d476368b4e6614e240a735a29ec5f224dbca6f76068fa81f0eed32fad75bf647673f35641ac414e3a6 SHA512 3a1de59d799a94aeb236139bf52f1d2e2139002ec8a033948a2324680df513e6c333e3564f526ca4fa106b42e50ae2bc67edadaeee72f608dabed962aacb5423
DIST nsd-4.1.26.tar.gz 1127895 BLAKE2B b132022b846cffffa0ca34fff189f95c26dc7646648773d455ad7835c42718b1a00645b3b686e5c211432ef4bb83a3618ae6b675b9b53fd40ecf7a9f6d9ec5ba SHA512 49c07ad79e4e056bd519dad157a44d5cc55cd9a28723fd910159dc761d4ba56ef86cb7bf289dc5d1b363a49b999232bb7ec1afa737ca5c2659c4c9893e93494b
+DIST nsd-4.1.27.tar.gz 1131881 BLAKE2B 94a7f7efe23d130b04258faca0f73690712919e14268e6efabf4029bc30273d8ef3155259b072190776b6cde32050b61ade0584175f00eef0129e4621d5896a3 SHA512 9c75041f5a6213cdba7238c2e51fc73031f6f073e06587659f93992fed49418ee789642b25b5522d48642507050ac15021f385927eed81ce5ea649f974e66402
diff --git a/net-dns/nsd/nsd-4.1.27.ebuild b/net-dns/nsd/nsd-4.1.27.ebuild
new file mode 100644
index 00000000000..bd3f7272f6a
--- /dev/null
+++ b/net-dns/nsd/nsd-4.1.27.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools user systemd
+
+# version voodoo needed only for non-release tarballs: 4.0.0_rc1 => 4.0.0rc1
+MY_PV="${PV/_beta/b}"
+MY_PV="${MY_PV/_rc/rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="An authoritative only, high performance, open source name server"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/nsd"
+SRC_URI="http://www.nlnetlabs.nl/downloads/${PN}/${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bind8-stats dnstap ipv6 libevent minimal-responses mmap munin +nsec3 ratelimit root-server runtime-checks ssl systemd libressl"
+
+S="${WORKDIR}/${MY_P}"
+
+RDEPEND="
+ dnstap? (
+ dev-libs/fstrm
+ dev-libs/protobuf-c
+ )
+ libevent? ( dev-libs/libevent )
+ munin? ( net-analyzer/munin )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
+ systemd? ( sys-apps/systemd )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-devel/flex
+ virtual/yacc
+ systemd? ( virtual/pkgconfig )
+"
+
+PATCHES=(
+ # Fix the paths in the munin plugin to match our install
+ "${FILESDIR}"/nsd_munin_.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --enable-largefile
+ --enable-pie
+ --enable-relro-now
+ --with-dbfile="${EPREFIX}"/var/db/nsd/nsd.db
+ --with-logfile="${EPREFIX}"/var/log/nsd.log
+ --with-pidfile="${EPREFIX}"/run/nsd/nsd.pid
+ --with-xfrdfile="${EPREFIX}"/var/db/nsd/xfrd.state
+ --with-xfrdir="${EPREFIX}"/var/db/nsd
+ --with-zonelistfile="${EPREFIX}"/var/db/nsd/zone.list
+ --with-zonesdir="${EPREFIX}"/var/lib/nsd
+ $(use_enable bind8-stats)
+ $(use_enable bind8-stats zone-stats)
+ $(use_enable dnstap)
+ $(use_enable ipv6)
+ $(use_enable minimal-responses)
+ $(use_enable mmap)
+ $(use_enable nsec3)
+ $(use_enable ratelimit)
+ $(use_enable root-server)
+ $(use_enable runtime-checks checking)
+ $(use_enable systemd)
+ $(use_with libevent)
+ $(use_with ssl)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc doc/{ChangeLog,CREDITS,NSD-4-features,NSD-FOR-BIND-USERS,README,RELNOTES,REQUIREMENTS}
+
+ newinitd "${FILESDIR}"/nsd.initd-r1 nsd
+
+ # install munin plugin and config
+ if use munin ; then
+ exeinto /usr/libexec/munin/plugins
+ doexe contrib/nsd_munin_
+ insinto /etc/munin/plugin-conf.d
+ newins "${FILESDIR}"/nsd.munin-conf nsd_munin
+ fi
+
+ systemd_dounit "${FILESDIR}"/nsd.service
+
+ # remove the /run directory that usually resides on tmpfs and is
+ # being taken care of by the nsd init script anyway (checkpath)
+ rm -r "${ED}"/run || die "Failed to remove /run"
+
+ keepdir /var/db/${PN}
+}
+
+pkg_postinst() {
+ # Do this in postinst to ensure the uid/gid is consistent for binpkgs
+ enewgroup nsd
+ enewuser nsd -1 -1 -1 nsd
+
+ # database directory, writable by nsd for database updates and zone transfers
+ install -d -m 750 -o nsd -g nsd "${EROOT}"/var/db/nsd
+
+ # zones directory, writable by nsd for zone file updates (nsd-control write)
+ install -d -m 750 -o nsd -g nsd "${EROOT}"/var/lib/nsd
+}